CREATE TABLE students_2(id int, name text) PARTITION BY RANGE (id);
CREATE TABLE child_0_of_students_2 PARTITION OF students_2 FOR VALUES FROM (0) TO (100);
CREATE TABLE child_1_of_students_2 PARTITION OF students_2 FOR VALUES FROM (100) TO (200);
INSERT INTO students_2 SELECT id, md5(id::text) FROM generate_series(0, 199) AS id;

CREATE TABLE scores_2(student_id int, course int, score int) PARTITION BY RANGE (student_id);
CREATE TABLE child_0_of_scores_2 PARTITION OF scores_2 FOR VALUES FROM (0) TO (100);
CREATE TABLE child_1_of_scores_2 PARTITION OF scores_2 FOR VALUES FROM (100) TO (200);
INSERT INTO scores_2 SELECT student_id, course, (random() * 100)::int FROM generate_series(0, 199) AS student_id, generate_series(1, 4) AS course;

CREATE TABLE gpas_2(student_id int, gpa double precision) PARTITION BY RANGE (student_id);
CREATE TABLE child_0_of_gpas_2 PARTITION OF gpas_2 FOR VALUES FROM (0) TO (100);
CREATE TABLE child_1_of_gpas_2 PARTITION OF gpas_2 FOR VALUES FROM (100) TO (200);
INSERT INTO gpas_2 SELECT student_id, random() * 5 FROM generate_series(0, 199) AS student_id;

ALTER TABLE students_2 ADD PRIMARY KEY (id);
CREATE INDEX ON scores_2 (student_id);
ALTER TABLE gpas_2 ADD PRIMARY KEY (student_id);
ANALYZE students_2;
ANALYZE scores_2;
ANALYZE gpas_2;
