CREATE TABLE students_4(id int, name text) PARTITION BY RANGE (id);
CREATE TABLE child_0_of_students_4 PARTITION OF students_4 FOR VALUES FROM (0) TO (100);
CREATE TABLE child_1_of_students_4 PARTITION OF students_4 FOR VALUES FROM (100) TO (200);
CREATE TABLE child_2_of_students_4 PARTITION OF students_4 FOR VALUES FROM (200) TO (300);
CREATE TABLE child_3_of_students_4 PARTITION OF students_4 FOR VALUES FROM (300) TO (400);
INSERT INTO students_4 SELECT id, md5(id::text) FROM generate_series(0, 399) AS id;

CREATE TABLE scores_4(student_id int, course int, score int) PARTITION BY RANGE (student_id);
CREATE TABLE child_0_of_scores_4 PARTITION OF scores_4 FOR VALUES FROM (0) TO (100);
CREATE TABLE child_1_of_scores_4 PARTITION OF scores_4 FOR VALUES FROM (100) TO (200);
CREATE TABLE child_2_of_scores_4 PARTITION OF scores_4 FOR VALUES FROM (200) TO (300);
CREATE TABLE child_3_of_scores_4 PARTITION OF scores_4 FOR VALUES FROM (300) TO (400);
INSERT INTO scores_4 SELECT student_id, course, (random() * 100)::int FROM generate_series(0, 399) AS student_id, generate_series(1, 4) AS course;

CREATE TABLE gpas_4(student_id int, gpa double precision) PARTITION BY RANGE (student_id);
CREATE TABLE child_0_of_gpas_4 PARTITION OF gpas_4 FOR VALUES FROM (0) TO (100);
CREATE TABLE child_1_of_gpas_4 PARTITION OF gpas_4 FOR VALUES FROM (100) TO (200);
CREATE TABLE child_2_of_gpas_4 PARTITION OF gpas_4 FOR VALUES FROM (200) TO (300);
CREATE TABLE child_3_of_gpas_4 PARTITION OF gpas_4 FOR VALUES FROM (300) TO (400);
INSERT INTO gpas_4 SELECT student_id, random() * 5 FROM generate_series(0, 399) AS student_id;

ALTER TABLE students_4 ADD PRIMARY KEY (id);
CREATE INDEX ON scores_4 (student_id);
ALTER TABLE gpas_4 ADD PRIMARY KEY (student_id);
ANALYZE students_4;
ANALYZE scores_4;
ANALYZE gpas_4;
